<?xml version='1.0' encoding='UTF-8'?>
<ROWSET tableName='GF24'>
/****************************************************************************/
/* GF24 ( JAVADOCｸﾗｽ定義ﾌｧｲﾙ )                                              */
/*                                                                          */
/* Created : 2022/11/10 17:41:04                                            */
/****************************************************************************/
<EXEC_SQL exists="0">
SELECT COUNT(*) FROM USER_TABLES WHERE TABLE_NAME=UPPER('GF24');
CREATE TABLE GF24 (
   VERNO        VARCHAR2 (   10 )                   NOT NULL            /*  10 ﾊﾞｰｼﾞｮﾝ  */
 , TAGCLASS     VARCHAR2 (  100 )                   NOT NULL            /*  20 TAGｸﾗｽ名 */
 , VALUENAME    VARCHAR2 (   30 )                   NOT NULL            /*  30 属性名称 */
 , HTMLEXT      VARCHAR2 (    1 )                                       /*  40 HTMLEXT  */
 , DESCRIPTION  VARCHAR2 ( 4000 )                                       /*  50 概要説明 */
 , CONTENTS     CLOB                                                    /*  60 内容     */
 , UNIQ         NUMBER   (    9 )       DEFAULT 0   NOT NULL            /* 800 ﾕﾆｰｸｷｰ   */
 , FGJ          VARCHAR2 (    1 )       DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ */
 , DYSET        VARCHAR2 (   14 )                                       /* 820 作成日時 */
 , PGSET        VARCHAR2 (   50 )                                       /* 830 作成PG   */
 , PGPSET       VARCHAR2 (   50 )                                       /* 840 作成親PG */
 , USRSET       VARCHAR2 (   30 )                                       /* 850 作成者   */
 , DYUPD        VARCHAR2 (   14 )                                       /* 860 更新日時 */
 , PGUPD        VARCHAR2 (   50 )                                       /* 870 更新PG   */
 , PGPUPD       VARCHAR2 (   50 )                                       /* 880 更新親PG */
 , USRUPD       VARCHAR2 (   30 )                                       /* 890 更新者   */
)
TABLESPACE GETBL01
STORAGE( INITIAL 16K );
</EXEC_SQL>

<EXEC_SQL exists="0">
SELECT COUNT(*) FROM USER_SEQUENCES WHERE SEQUENCE_NAME=UPPER('GF24S00');
CREATE SEQUENCE GF24S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;
</EXEC_SQL>

<EXEC_SQL>
CREATE OR REPLACE TRIGGER GF24T00 
  BEFORE INSERT ON GF24
  FOR EACH ROW 
  BEGIN 
    SELECT GF24S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
</EXEC_SQL>
</ROWSET>
